Subject: [manet] Re: MANET Comments on requirements for IP Address Autoconfiguration

From: "Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 29 Oct 2003 21:38:56 +0900

Hi Marc,

Thanks for your comments.
Look at the inlines.
  ----- Original Message ----- 
  From: Marcus Fischer 
  To: [email-masked] 
  Sent: Wednesday, October 29, 2003 2:59 PM
  Subject: MANET Comments on requirements for IP Address Autoconfiguration

  Hi,

  I read your Address Autoconfiguration draft. Will it be discussed during the next IETF meeting?

   -> It's not decided until now.

  The draft seems to be well written and a good contribution. I don't think, however, that Internet connectivity
  in general is a part of address auto-configuration.

   -> I agree that Internet connectivity can be a separate topic from address autoconf.
       Generally, address autoconf in zeroconf includes the address configuration and gateway configuration.
       So, we authors included Internet connectivity in our requirement draft.
        I think the separation is needed to discuss more in MANET wg.

  In my opinion, zeroconfiguration (on a link), includes
  - Address Autoconfiguration
  - Discovering Default Router
  - Name Resolution (Discovering a DNS server, or multicast DNS)
  - Service Discovery

  On a multi-hop network, such as a MANET, Discovering Default Router translates to Discovery of a gateway. 
  In other words, Address Autoconfiguration is only one part of a broader topic called Zero-configuration. 

  I agree that Address Autoconfiguration MIGHT BE dependent on gateway discovery (if nodes want external access),
  but you need gateway discovery even without address autoconfiguration. (Remember that MANET routing protocols
  are originally designed so that any node can enter the ad hoc network with any IP address and any prefix, and
  use this while on the MANET.) I therefore do not think that gateway discovery should be a part of the requirements draft.

  I therefore recommend that you remove that part from the draft, or rewrite it. 

  Furthermore, configuring an IP address to your interface is completely another problem from obtaining information 
  about IP addresses of other nodes on the network. Your "Implications" of the "Internet Connectivity" section
  should at least be removed. Findng an IP address of a DNS name server is a problem that can be kept completely
  separable from the issue from AUTO-configuring an address. Furthermore, there is already an internet draft 
  (draft-park-manet-dns- ??? something ???) that tackle this problem easily, and further requirements related to 
  address autoconfiguration is not necessary IMHO.

   -> Because DNS Discovery through the piggyback of Internet gateway discovery is an important element
        in the Internet service, we include it in our draft.      
       If Internet gateway issue is removed in our draft, DNS issue should be deleted together.

  Moreover, you write that "ad hoc IP address autoconfiguration always includes the configuration of an IP address 
  and netmask (or prefix information in IPv6)". I agree that this might be a MAY, buth I am not sure if I agree that 
  this is a MUST. Can you explain this point a little further?

   -> Under the environment where MANET prefix is defined and used, our requirement is true, but under other environments
       your suggestion may be valid. For example, MANET nodes use their global Internet address and move into a MANET.

  There was also another thing that made me confused in the draft, but I have to look through your document once more 
  to refresh my memory. I will come back to you with more comments.

  Generally, I think the Internet-Draft is a very good piece of work, and I hope it can be used as a basis for futher work
  on this very important topic. 

   -> I really agree at this point. MANET wg is enough valuable to include this address autoconf topic in next work items
       along with the development of a generic ad hoc routing protocol.

  Will you resubmit the next version of the draft after the next IETF meeting, if you get much input during the meeting?

   -> Of course, our authors welcome MANET members' comments and will apply them to revision.
        For information, I submitted a revised draft of "Ad Hoc IP Address Autoconfiguration"
        http://www.ietf.org/internet-drafts/draft-jeong-adhoc-ip-addr-autoconf-01.txt
        Surely, to develop mechanism drafts is next step after the requirements draft.
        Thanks.

        Regards,
        Paul

  ---------------------------------------------------------------------
  Jaehoon Paul Jeong (Researcher)
  TEL. +82-42-860-1664
  161 Gajeong-Dong, Yuseong-Gu, Daejeon, 305-350, KOREA
  NGI Standard Research Team/PEC/ETRI
  Homepage: http://www.adhoc.6ants.net/~paul